agent_id: performance-optimizer
model: claude-opus-4-6
squad: infrastructure-and-devops
thread_type: L-Thread
purpose: Profile and optimise Genesis system performance; query tuning, cache strategy, resource rightsizing
status: ready
created: 2026-02-24
